MyGUI: MyGUI::TabControl Class Reference

MyGUI 3.4.3

Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Static Public Attributes | Protected Member Functions | Friends
MyGUI::TabControl Class Reference

widget description should be here. More...

`#include <MyGUI_TabControl.h>`

Inheritance diagram for MyGUI::TabControl:
[legend]

## Data Structures
struct | TabItemInfo

## Public Types
typedef RTTIBase | Base
typedef TabControl | RTTIBase
using | VectorTabItemInfo = std::vector<TabItemInfo>
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
size_t | getItemCount () const
| Get number of items.
TabItem * | insertItemAt (size_t _index, const UString &_name, Any _data=Any::Null)
| Insert an item into a array at a specified position.
TabItem * | insertItem (TabItem *_to, const UString &_name, Any _data=Any::Null)
| Insert an item into a array.
TabItem * | addItem (const UString &_name, Any _data=Any::Null)
| Add an item to the end of a array.
void | removeItemAt (size_t _index)
| Remove item at a specified position.
void | removeItem (TabItem *_item)
| Remove item.
void | removeAllItems ()
| Remove all items.
TabItem * | getItemAt (size_t _index) const
| Get item from specified position.
size_t | getItemIndex (const TabItem *_item) const
| Get item index.
size_t | findItemIndex (const TabItem *_item)
| Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.
size_t | findItemIndexWith (const UString &_name)
| Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.
TabItem * | findItemWith (const UString &_name)
| Search item, returns the item of the first occurrence in array or nullptr if item not found.
void | swapItems (size_t _index1, size_t _index2)
size_t | getIndexSelected () const
| Get index of selected item (ITEM_NONE if none selected)
TabItem * | getItemSelected () const
| Get selected item (nullptr if none selected)
void | setIndexSelected (size_t _index)
| Select specified _index.
void | setItemSelected (TabItem *_item)
| Select item.
void | setItemDataAt (size_t _index, Any _data)
| Replace an item data at a specified position.
void | setItemData (TabItem *_item, Any _data)
| Replace an item data.
void | clearItemDataAt (size_t _index)
| Clear an item data at a specified position.
void | clearItemData (TabItem *_item)
| Clear an item data.
template<typename ValueType>
ValueType * | getItemDataAt (size_t _index, bool _throw=true)
| Get item data from specified position.
template<typename ValueType>
ValueType * | getItemData (TabItem *_item, bool _throw=true)
| Get item data.
void | setItemNameAt (size_t _index, const UString &_name)
| Replace an item name at a specified position.
void | setItemName (TabItem *_item, const UString &_name)
| Replace an item name.
const UString & | getItemNameAt (size_t _index) const
| Get item name from specified position.
const UString & | getItemName (const TabItem *_item) const
| Get item name.
void | beginToItemAt (size_t _index)
| Move all elements so specified becomes visible.
void | beginToItem (const TabItem *_item)
| Move all elements so specified becomes visible.
void | beginToItemFirst ()
| Move all elements so first becomes visible.
void | beginToItemLast ()
| Move all elements so last becomes visible.
void | beginToItemSelected ()
| Move all elements so selected becomes visible.
void | setButtonWidthAt (size_t _index, int _width=DEFAULT_WIDTH)
| Set button width at a specified position.
void | setButtonWidth (TabItem *_item, int _width=DEFAULT_WIDTH)
| Set button width.
int | getButtonWidthAt (size_t _index) const
| Get button width at a specified position.
int | getButtonWidth (TabItem *_item) const
| Get button width.
void | setButtonDefaultWidth (int _width)
int | getButtonDefaultWidth () const
void | setButtonAutoWidth (bool _auto)
bool | getButtonAutoWidth () const
void | setSmoothShow (bool _value)
bool | getSmoothShow () const
size_t | _getItemCount () const override
void | _addItem (const MyGUI::UString &_name) override
void | _removeItemAt (size_t _index) override
Widget * | _getItemAt (size_t _index) const override
void | _setItemNameAt (size_t _index, const UString &_name) override
const UString & | _getItemNameAt (size_t _index) const override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::Widget
template<typename Type>
bool | isType () const
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
Widget * | createWidgetT (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
template<typename T>
T * | createWidget (WidgetStyle _style, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_point)
void | setRealSize (const FloatSize &_size)
void | setRealCoord (const FloatCoord &_coord)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _alpha)
float | getAlpha () const
void | setInheritsAlpha (bool _inherits)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (std::string_view _name)
void | findWidgets (std::string_view _name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (std::string_view _layer={})
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, std::string_view _layer={})
void | changeWidgetSkin (std::string_view _skinName)
void | setWidgetStyle (WidgetStyle _style, std::string_view _layer={})
WidgetStyle | getWidgetStyle () const
void | setProperty (std::string_view _key, std::string_view _value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, std::string_view _skinName, Widget *_parent, ICroppedRectangle *_croppedParent, std::string_view _name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (std::string_view _state)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (std::string_view _key, std::string_view _value)
std::string_view | getUserString (std::string_view _key) const
const MapString & | getUserStrings () const
bool | clearUserString (std::string_view _key)
bool | isUserString (std::string_view _key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType>
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType>
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (std::string_view _value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::IItemContainer
virtual | ~IItemContainer ()=default
virtual void | _setItemSelected (IItem *)
Public Member Functions inherited from MyGUI::MemberObsolete< TabControl >
int | getSheetButtonWidthIndex (size_t _index) const
int | getSheetButtonWidth (TabItem *_sheet) const
void | setSheetButtonWidthIndex (size_t _index, int _width=DEFAULT)
void | setSheetButtonWidth (TabItem *_sheet, int _width=DEFAULT)
void | showBarButton (size_t _index)
void | showBarSelectButton ()
size_t | getSheetCount () const
const UString & | getSheetName (TabItem *_sheet) const
const UString & | getSheetNameIndex (size_t _index) const
TabItem * | getSheet (size_t _index) const
void | setSheetNameIndex (size_t _index, const UString &_name, int _width=DEFAULT)
void | setSheetName (TabItem *_sheet, const UString &_name, int _width=DEFAULT)
TabItem * | addSheet (const UString &_name, int _width=DEFAULT)
TabItem * | insertSheet (size_t _index, const UString &_name, int _width=DEFAULT)
void | removeSheetIndex (size_t _index)
void | removeSheet (TabItem *_sheet)
void | selectSheetIndex (size_t _index, bool _smooth=true)
void | selectSheet (TabItem *_sheet, bool _smooth=true)
size_t | getSelectSheetIndex () const
size_t | getItemIndexSelected () const
void | setItemSelectedAt (size_t _index)

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields
EventPair< EventHandle_WidgetSizeT, EventHandle_TabPtrSizeT > | eventTabChangeSelect
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Static Public Attributes
static constexpr int | DEFAULT_WIDTH = -1

## Protected Member Functions
void | initialiseOverride () override
void | shutdownOverride () override
void | updateBar ()
void | notifyPressedButtonEvent (MyGUI::Widget *_sender)
void | notifyPressedBarButtonEvent (MyGUI::Widget *_sender)
int | _getTextWidth (const UString &_text)
void | _showItem (TabItem *_item, bool _show, bool _smooth)
void | _createItemButton ()
void | _insertItem (size_t _index, const UString &_name, TabItem *_sheet, Any _data)
void | _notifyDeleteItem (TabItem *_sheet)
void | onWidgetCreated (Widget *_widget) override
void | setPropertyOverride (std::string_view _key, std::string_view _value) override
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer, std::string_view _name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T>
void | assignWidget (T *&_widget, std::string_view _name)
VectorWidgetPtr | getSkinWidgetsByName (std::string_view _name) const
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Friends
class | TabItem

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

widget description should be here.

Definition at line 26 of file MyGUI_TabControl.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::TabControl::Base

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ RTTIBase

typedef TabControl MyGUI::TabControl::RTTIBase

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ VectorTabItemInfo

using MyGUI::TabControl::VectorTabItemInfo = std::vector<TabItemInfo>

Definition at line 51 of file MyGUI_TabControl.h.

## Member Function Documentation

## ◆ _addItem()

void MyGUI::TabControl::_addItem | ( | const MyGUI::UString & | _name | ) |
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 750 of file MyGUI_TabControl.cpp.

## ◆ _createItemButton()

void MyGUI::TabControl::_createItemButton | ( |  | ) |
| protected

Definition at line 427 of file MyGUI_TabControl.cpp.

## ◆ _getItemAt()

Widget * MyGUI::TabControl::_getItemAt | ( | size_t | _index | ) | const
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 760 of file MyGUI_TabControl.cpp.

## ◆ _getItemCount()

size_t MyGUI::TabControl::_getItemCount | ( |  | ) | const
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 745 of file MyGUI_TabControl.cpp.

## ◆ _getItemNameAt()

const UString & MyGUI::TabControl::_getItemNameAt | ( | size_t | _index | ) | const
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 770 of file MyGUI_TabControl.cpp.

## ◆ _getTextWidth()

int MyGUI::TabControl::_getTextWidth | ( | const UString & | _text | ) |
| protected

Definition at line 435 of file MyGUI_TabControl.cpp.

## ◆ _insertItem()

void MyGUI::TabControl::_insertItem | ( | size_t | _index,
|  | const UString & | _name,
|  | TabItem * | _sheet,
|  | Any | _data )
| protected

Definition at line 481 of file MyGUI_TabControl.cpp.

## ◆ _notifyDeleteItem()

void MyGUI::TabControl::_notifyDeleteItem | ( | TabItem * | _sheet | ) |
| protected

Definition at line 452 of file MyGUI_TabControl.cpp.

## ◆ _removeItemAt()

void MyGUI::TabControl::_removeItemAt | ( | size_t | _index | ) |
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 755 of file MyGUI_TabControl.cpp.

## ◆ _setItemNameAt()

void MyGUI::TabControl::_setItemNameAt | ( | size_t | _index,
|  | const UString & | _name )
| overridevirtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 765 of file MyGUI_TabControl.cpp.

## ◆ _showItem()

void MyGUI::TabControl::_showItem | ( | TabItem * | _item,
|  | bool | _show,
|  | bool | _smooth )
| protected

Definition at line 389 of file MyGUI_TabControl.cpp.

## ◆ addItem()

TabItem * MyGUI::TabControl::addItem | ( | const UString & | _name,
|  | Any | _data = Any::Null )

Add an item to the end of a array.

Definition at line 647 of file MyGUI_TabControl.cpp.

## ◆ beginToItem()

void MyGUI::TabControl::beginToItem | ( | const TabItem * | _item | ) |

Move all elements so specified becomes visible.

Definition at line 692 of file MyGUI_TabControl.cpp.

## ◆ beginToItemAt()

void MyGUI::TabControl::beginToItemAt | ( | size_t | _index | ) |

Move all elements so specified becomes visible.

Definition at line 265 of file MyGUI_TabControl.cpp.

## ◆ beginToItemFirst()

void MyGUI::TabControl::beginToItemFirst | ( |  | ) |

Move all elements so first becomes visible.

Definition at line 697 of file MyGUI_TabControl.cpp.

## ◆ beginToItemLast()

void MyGUI::TabControl::beginToItemLast | ( |  | ) |

Move all elements so last becomes visible.

Definition at line 703 of file MyGUI_TabControl.cpp.

## ◆ beginToItemSelected()

void MyGUI::TabControl::beginToItemSelected | ( |  | ) |

Move all elements so selected becomes visible.

Definition at line 709 of file MyGUI_TabControl.cpp.

## ◆ clearItemData()

void MyGUI::TabControl::clearItemData | ( | TabItem * | _item | ) |

Clear an item data.

Definition at line 677 of file MyGUI_TabControl.cpp.

## ◆ clearItemDataAt()

void MyGUI::TabControl::clearItemDataAt | ( | size_t | _index | ) |

Clear an item data at a specified position.

Definition at line 672 of file MyGUI_TabControl.cpp.

## ◆ findItemIndex()

size_t MyGUI::TabControl::findItemIndex | ( | const TabItem * | _item | ) |

Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.

Definition at line 565 of file MyGUI_TabControl.cpp.

## ◆ findItemIndexWith()

size_t MyGUI::TabControl::findItemIndexWith | ( | const UString & | _name | ) |

Search item, returns the position of the first occurrence in array or ITEM_NONE if item not found.

Definition at line 575 of file MyGUI_TabControl.cpp.

## ◆ findItemWith()

TabItem * MyGUI::TabControl::findItemWith | ( | const UString & | _name | ) |

Search item, returns the item of the first occurrence in array or nullptr if item not found.

Definition at line 585 of file MyGUI_TabControl.cpp.

## ◆ getButtonAutoWidth()

bool MyGUI::TabControl::getButtonAutoWidth | ( |  | ) | const

Get button auto width flag

Definition at line 730 of file MyGUI_TabControl.cpp.

## ◆ getButtonDefaultWidth()

int MyGUI::TabControl::getButtonDefaultWidth | ( |  | ) | const

Get default button width

Definition at line 725 of file MyGUI_TabControl.cpp.

## ◆ getButtonWidth()

int MyGUI::TabControl::getButtonWidth | ( | TabItem * | _item | ) | const

Get button width.

Definition at line 720 of file MyGUI_TabControl.cpp.

## ◆ getButtonWidthAt()

int MyGUI::TabControl::getButtonWidthAt | ( | size_t | _index | ) | const

Get button width at a specified position.

Definition at line 511 of file MyGUI_TabControl.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::TabControl::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ getIndexSelected()

size_t MyGUI::TabControl::getIndexSelected | ( |  | ) | const

Get index of selected item (ITEM_NONE if none selected)

Definition at line 657 of file MyGUI_TabControl.cpp.

## ◆ getItemAt()

TabItem * MyGUI::TabControl::getItemAt | ( | size_t | _index | ) | const

Get item from specified position.

Definition at line 523 of file MyGUI_TabControl.cpp.

## ◆ getItemCount()

size_t MyGUI::TabControl::getItemCount | ( |  | ) | const

Get number of items.

Definition at line 637 of file MyGUI_TabControl.cpp.

## ◆ getItemData()

template<typename ValueType>

ValueType * MyGUI::TabControl::getItemData | ( | TabItem * | _item,
|  | bool | _throw = true )
| inline

Get item data.

Definition at line 144 of file MyGUI_TabControl.h.

## ◆ getItemDataAt()

template<typename ValueType>

ValueType * MyGUI::TabControl::getItemDataAt | ( | size_t | _index,
|  | bool | _throw = true )
| inline

Get item data from specified position.

Definition at line 137 of file MyGUI_TabControl.h.

## ◆ getItemIndex()

size_t MyGUI::TabControl::getItemIndex | ( | const TabItem * | _item | ) | const

Get item index.

Definition at line 555 of file MyGUI_TabControl.cpp.

## ◆ getItemName()

const UString & MyGUI::TabControl::getItemName | ( | const TabItem * | _item | ) | const

Get item name.

Definition at line 687 of file MyGUI_TabControl.cpp.

## ◆ getItemNameAt()

const UString & MyGUI::TabControl::getItemNameAt | ( | size_t | _index | ) | const

Get item name from specified position.

Definition at line 517 of file MyGUI_TabControl.cpp.

## ◆ getItemSelected()

TabItem * MyGUI::TabControl::getItemSelected | ( |  | ) | const

Get selected item (nullptr if none selected)

Definition at line 595 of file MyGUI_TabControl.cpp.

## ◆ getSmoothShow()

bool MyGUI::TabControl::getSmoothShow | ( |  | ) | const

Get smooth sheets showing flag

Definition at line 740 of file MyGUI_TabControl.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::TabControl::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::Widget.

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ initialiseOverride()

void MyGUI::TabControl::initialiseOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 20 of file MyGUI_TabControl.cpp.

## ◆ insertItem()

TabItem * MyGUI::TabControl::insertItem | ( | TabItem * | _to,
|  | const UString & | _name,
|  | Any | _data = Any::Null )

Insert an item into a array.

Definition at line 642 of file MyGUI_TabControl.cpp.

## ◆ insertItemAt()

TabItem * MyGUI::TabControl::insertItemAt | ( | size_t | _index,
|  | const UString & | _name,
|  | Any | _data = Any::Null )

Insert an item into a array at a specified position.

Definition at line 151 of file MyGUI_TabControl.cpp.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::TabControl::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ isType() [2/2]

virtual bool MyGUI::TabControl::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Definition at line 32 of file MyGUI_TabControl.h.

## ◆ notifyPressedBarButtonEvent()

void MyGUI::TabControl::notifyPressedBarButtonEvent | ( | MyGUI::Widget * | _sender | ) |
| protected

Definition at line 228 of file MyGUI_TabControl.cpp.

## ◆ notifyPressedButtonEvent()

void MyGUI::TabControl::notifyPressedButtonEvent | ( | MyGUI::Widget * | _sender | ) |
| protected

Definition at line 207 of file MyGUI_TabControl.cpp.

## ◆ onWidgetCreated()

void MyGUI::TabControl::onWidgetCreated | ( | Widget * | _widget | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 133 of file MyGUI_TabControl.cpp.

## ◆ removeAllItems()

void MyGUI::TabControl::removeAllItems | ( |  | ) |

Remove all items.

Definition at line 535 of file MyGUI_TabControl.cpp.

## ◆ removeItem()

void MyGUI::TabControl::removeItem | ( | TabItem * | _item | ) |

Remove item.

Definition at line 652 of file MyGUI_TabControl.cpp.

## ◆ removeItemAt()

void MyGUI::TabControl::removeItemAt | ( | size_t | _index | ) |

Remove item at a specified position.

Definition at line 529 of file MyGUI_TabControl.cpp.

## ◆ setButtonAutoWidth()

void MyGUI::TabControl::setButtonAutoWidth | ( | bool | _auto | ) |

Enable or disable button auto width

Definition at line 310 of file MyGUI_TabControl.cpp.

## ◆ setButtonDefaultWidth()

void MyGUI::TabControl::setButtonDefaultWidth | ( | int | _width | ) |

Set default button width and disable autowidth mode

Definition at line 302 of file MyGUI_TabControl.cpp.

## ◆ setButtonWidth()

void MyGUI::TabControl::setButtonWidth | ( | TabItem * | _item,
|  | int | _width = DEFAULT_WIDTH )

Set button width.

Definition at line 715 of file MyGUI_TabControl.cpp.

## ◆ setButtonWidthAt()

void MyGUI::TabControl::setButtonWidthAt | ( | size_t | _index,
|  | int | _width = DEFAULT_WIDTH )

Set button width at a specified position.

Definition at line 329 of file MyGUI_TabControl.cpp.

## ◆ setCoord() [1/2]

void MyGUI::TabControl::setCoord | ( | const IntCoord & | _coord | ) |
| overridevirtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 200 of file MyGUI_TabControl.cpp.

## ◆ setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 179 of file MyGUI_Widget.cpp.

## ◆ setIndexSelected()

void MyGUI::TabControl::setIndexSelected | ( | size_t | _index | ) |

Select specified _index.

Definition at line 364 of file MyGUI_TabControl.cpp.

## ◆ setItemData()

void MyGUI::TabControl::setItemData | ( | TabItem * | _item,
|  | Any | _data )

Replace an item data.

Definition at line 667 of file MyGUI_TabControl.cpp.

## ◆ setItemDataAt()

void MyGUI::TabControl::setItemDataAt | ( | size_t | _index,
|  | Any | _data )

Replace an item data at a specified position.

Definition at line 505 of file MyGUI_TabControl.cpp.

## ◆ setItemName()

void MyGUI::TabControl::setItemName | ( | TabItem * | _item,
|  | const UString & | _name )

Replace an item name.

Definition at line 682 of file MyGUI_TabControl.cpp.

## ◆ setItemNameAt()

void MyGUI::TabControl::setItemNameAt | ( | size_t | _index,
|  | const UString & | _name )

Replace an item name at a specified position.

Definition at line 347 of file MyGUI_TabControl.cpp.

## ◆ setItemSelected()

void MyGUI::TabControl::setItemSelected | ( | TabItem * | _item | ) |

Select item.

Definition at line 662 of file MyGUI_TabControl.cpp.

## ◆ setPosition() [1/2]

void MyGUI::TabControl::setPosition | ( | const IntPoint & | _point | ) |
| overridevirtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 186 of file MyGUI_TabControl.cpp.

## ◆ setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 175 of file MyGUI_Widget.cpp.

## ◆ setPropertyOverride()

void MyGUI::TabControl::setPropertyOverride | ( | std::string_view | _key,
|  | std::string_view | _value )
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 610 of file MyGUI_TabControl.cpp.

## ◆ setSize() [1/2]

void MyGUI::TabControl::setSize | ( | const IntSize & | _size | ) |
| overridevirtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 193 of file MyGUI_TabControl.cpp.

## ◆ setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 177 of file MyGUI_Widget.cpp.

## ◆ setSmoothShow()

void MyGUI::TabControl::setSmoothShow | ( | bool | _value | ) |

Enable or disable smooth sheets showing

Definition at line 735 of file MyGUI_TabControl.cpp.

## ◆ shutdownOverride()

void MyGUI::TabControl::shutdownOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 113 of file MyGUI_TabControl.cpp.

## ◆ swapItems()

void MyGUI::TabControl::swapItems | ( | size_t | _index1,
|  | size_t | _index2 )

Definition at line 174 of file MyGUI_TabControl.cpp.

## ◆ updateBar()

void MyGUI::TabControl::updateBar | ( |  | ) |
| protected

Definition at line 775 of file MyGUI_TabControl.cpp.

## Friends And Related Symbol Documentation

## ◆ TabItem

friend class TabItem
| friend

Definition at line 30 of file MyGUI_TabControl.h.

## Field Documentation

## ◆ DEFAULT_WIDTH

int MyGUI::TabControl::DEFAULT_WIDTH = -1
| staticconstexpr

Definition at line 53 of file MyGUI_TabControl.h.

## ◆ eventTabChangeSelect

EventPair<EventHandle_WidgetSizeT, EventHandle_TabPtrSizeT> MyGUI::TabControl::eventTabChangeSelect

Event : Active TabControl sheet changed
signature : void method(MyGUI::TabControl* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | Index of selected sheet

Definition at line 218 of file MyGUI_TabControl.h.

The documentation for this class was generated from the following files:

- MyGUI_TabControl.h
- MyGUI_TabControl.cpp